# DataExchange
TKIGES
IGESSolid

# IGESSolid_EdgeList Class Reference

defines EdgeList, Type <504> Form <1>
in package IGESSolid
EdgeList is defined as a segment joining two vertices

`#include <IGESSolid_EdgeList.hxx>`

Inheritance diagram for IGESSolid_EdgeList:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_EdgeList ()
Standard_EXPORT void | Init (const Handle(IGESData_HArray1OfIGESEntity)&curves, const Handle(IGESSolid_HArray1OfVertexList)&startVertexList, const Handle(TColStd_HArray1OfInteger)&startVertexIndex, const Handle(IGESSolid_HArray1OfVertexList)&endVertexList, const Handle(TColStd_HArray1OfInteger)&endVertexIndex)

This method is used to set the fields of the class
EdgeList
- curves : the model space curves
- startVertexList : the vertex list that contains the
start vertices
- startVertexIndex : the index of the vertex in the
corresponding vertex list
- endVertexList : the vertex list that contains the
end vertices
- endVertexIndex : the index of the vertex in the
corresponding vertex list
raises exception if size of curves,startVertexList,startVertexIndex,
endVertexList and endVertexIndex do no match
.

Standard_EXPORT Standard_Integer | NbEdges () const
| returns the number of edges in the edge list
Standard_EXPORT Handle_IGESData_IGESEntity | Curve (const Standard_Integer num) const
| returns the num'th model space curve raises Exception if num <= 0 or num > NbEdges()
Standard_EXPORT Handle_IGESSolid_VertexList | StartVertexList (const Standard_Integer num) const
| returns the num'th start vertex list raises Exception if num <= 0 or num > NbEdges()
Standard_EXPORT Standard_Integer | StartVertexIndex (const Standard_Integer num) const
| returns the index of num'th start vertex in the corresponding start vertex list raises Exception if num <= 0 or num > NbEdges()
Standard_EXPORT Handle_IGESSolid_VertexList | EndVertexList (const Standard_Integer num) const
| returns the num'th end vertex list raises Exception if num <= 0 or num > NbEdges()
Standard_EXPORT Standard_Integer | EndVertexIndex (const Standard_Integer num) const
| returns the index of num'th end vertex in the corresponding end vertex list raises Exception if num <= 0 or num > NbEdges()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_HArray1OfIGESEntity | theCurves
Handle_IGESSolid_HArray1OfVertexList | theStartVertexList
Handle_TColStd_HArray1OfInteger | theStartVertexIndex
Handle_IGESSolid_HArray1OfVertexList | theEndVertexList
Handle_TColStd_HArray1OfInteger | theEndVertexIndex

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_EdgeList::IGESSolid_EdgeList | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESSolid_EdgeList::Curve | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer IGESSolid_EdgeList::EndVertexIndex | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_IGESSolid_VertexList IGESSolid_EdgeList::EndVertexList | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const IGESSolid_EdgeList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_EdgeList::Init | ( | const Handle(IGESData_HArray1OfIGESEntity)& | curves,
|  | const Handle(IGESSolid_HArray1OfVertexList)& | startVertexList,
|  | const Handle(TColStd_HArray1OfInteger)& | startVertexIndex,
|  | const Handle(IGESSolid_HArray1OfVertexList)& | endVertexList,
|  | const Handle(TColStd_HArray1OfInteger)& | endVertexIndex
| ) |

Standard_EXPORT Standard_Integer IGESSolid_EdgeList::NbEdges | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESSolid_EdgeList::StartVertexIndex | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_IGESSolid_VertexList IGESSolid_EdgeList::StartVertexList | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESSolid_EdgeList::theCurves `[private]`

Handle_TColStd_HArray1OfInteger IGESSolid_EdgeList::theEndVertexIndex `[private]`

Handle_IGESSolid_HArray1OfVertexList IGESSolid_EdgeList::theEndVertexList `[private]`

Handle_TColStd_HArray1OfInteger IGESSolid_EdgeList::theStartVertexIndex `[private]`

Handle_IGESSolid_HArray1OfVertexList IGESSolid_EdgeList::theStartVertexList `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_EdgeList.hxx